VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Packages
- Package Functions

Classes | Enumerations | Functions
Package VisimBox.Scene

## Classes
class | AnimatorNode
| Node which animates it's parent node. More...
class | CameraNode
| Node containing camera. More...
class | GeometryNode
| Node containing geometric object, by default it's renderable and creates renderer mesh from the object for faster and correct rendering. Keeps geometry object for correct picking / physics. More...
class | ImportedNode
| Node holding imported model. More...
class | LightNode
| Scene node for holding light. More...
class | NodeImporter
class | NodeImportSettings
| Settings for node importing. More...
class | LightWaveObjImporter
| Imported from Lightwave objects. More...
class | NodeLink
| Linking node - used for direct linking to other nodes elsewhere in the tree for example for mover object which moves several nodes. More...
struct | NodeIntersectionInfo
class | Node
| Base class for all nodes. More...
class | NodeDictionary
| Extended version of dictionary used to store children of the node. More...
class | NodeFactory
| Node factory used for importing / exporting nodes. More...
class | RenderableNode
| Renderable node implementing IRenderable. More...
class | NodeMesh
| Renderable node containing already created renderer mesh object. More...
class | SceneRoot
| Scene root node, scene manager for scenes. More...
class | SkyBoxNode
class | UnknownNode
| Unknown node type from importing the scene file, used to store user data so they won't be lost when opened without support for user nodes loaded. More...
## Enumerations
enum | RenderFlags { None = 0x0000, Normal = 0x0010, BoundingObject = 0x0020, Light = 0x0040, Camera = 0x0080, HierarchyNode = 0x0100, AreaOfEfect = 0x0200, DataObject = 0x0400, PhysicalBody = 0x1000, PhysicalCollision = 0x2000, PhysicalObject = 0x4000, All = ulong.MaxValue }
| Flags used for rendering and collisions. More...
## Functions
delegate void | NodeCallBack (Node caller, object args)

## Enumeration Type Documentation

enum VisimBox::Scene::RenderFlags

Flags used for rendering and collisions.

Enumerator:

  None |
  Normal | Normal rendering object.
  BoundingObject | Bounding object for rendering / spatial indexing.
  Light | Light debug drawer object.
  Camera | Camera debug drawer object.
  HierarchyNode | Hierarchy debug drawer object.
  AreaOfEfect | Area of effect geometry.
  DataObject | Data object (used by unknownnode)
  PhysicalBody | Physical body.
  PhysicalCollision | Collision object.
  PhysicalObject | Physical object.
  All |

## Function Documentation

delegate void VisimBox.Scene.NodeCallBack | ( | Node | caller,
|  | object | args
| ) |  |

All Classes Namespaces Files Functions Variables Enumerations Properties Events